[arch-commits] Commit in xcursor-themes/repos (3 files)

Eric Bélanger eric at archlinux.org
Tue Apr 21 01:54:06 EDT 2009


    Date: Tuesday, April 21, 2009 @ 01:54:06
  Author: eric
Revision: 36356

Merged revisions 356,36355 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xcursor-themes/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36355 | eric | 2009-04-21 01:53:50 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xcursor-themes 1.0.1-2
      Added license
........

Added:
  xcursor-themes/repos/extra-x86_64/LICENSE
    (from rev 36355, xcursor-themes/trunk/LICENSE)
Modified:
  xcursor-themes/repos/extra-x86_64/	(properties)
  xcursor-themes/repos/extra-x86_64/PKGBUILD

----------+
 LICENSE  |   24 ++++++++++++++++++++++++
 PKGBUILD |   13 +++++++------
 2 files changed, 31 insertions(+), 6 deletions(-)


Property changes on: xcursor-themes/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xcursor-themes/trunk:1
   + /xcursor-themes/trunk:1-36355

Copied: xcursor-themes/repos/extra-x86_64/LICENSE (from rev 36355, xcursor-themes/trunk/LICENSE)
===================================================================
--- extra-x86_64/LICENSE	                        (rev 0)
+++ extra-x86_64/LICENSE	2009-04-21 05:54:06 UTC (rev 36356)
@@ -0,0 +1,24 @@
+Copyright 1996-2002 Software in the Public Interest, Inc.
+
+Permission is hereby granted, free of charge, to any person obtaining a
+copy of this software and associated documentation files (the "Software"),
+to deal in the Software without restriction, including without limitation
+the rights to use, copy, modify, merge, publish, distribute, sublicense,
+and/or sell copies of the Software, and to permit persons to whom the
+Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in
+all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+SOFTWARE IN THE PUBLIC INTEREST, INC. BE LIABLE FOR ANY CLAIM, DAMAGES OR
+OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
+ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of Software in the Public
+Interest, Inc. shall not be used in advertising or otherwise to promote the
+sale, use or other dealings in this Software without prior written
+authorization from Software in the Public Interest, Inc.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-21 05:53:50 UTC (rev 36355)
+++ extra-x86_64/PKGBUILD	2009-04-21 05:54:06 UTC (rev 36356)
@@ -3,18 +3,19 @@
 
 pkgname=xcursor-themes
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org Cursor themes"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('MIT')
 makedepends=('pkgconfig' 'xorg-apps')
-source=(${url}/releases/individual/data/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('014bad415e64c49994679cdb71a97e37')
+source=(${url}/releases/individual/data/${pkgname}-${pkgver}.tar.bz2 LICENSE)
+md5sums=('014bad415e64c49994679cdb71a97e37' '31eccf56949504b5ce33110068948cf2')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 ../LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-



More information about the arch-commits mailing list